<?php

require_once "setup.php";
$base = parse_url($repo->getURIPrefix());
$basepath = $base["path"];

?>
<!DOCTYPE HTML>
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

    <link rel="stylesheet" href="css/core-style.css" type="text/css" media="screen" />

    
    <title>SALAMI RDF Endpoint: <?php echo htmlspecialchars($repo->getName()); ?></title>
  </head>

  <body>
    <div id="container">

      <div id="header">
	<h1>The SALAMI RDF Endpoint</h1>
      </div>

      <div id="navigation">
	<ul>	  
	  <li class="selected"><a href="#">Home</a></li>
	  <li><a href="sparql.php">SPARQL</a></li>
	  <li><a href="contact.php">Contact</a></li>
	</ul>
      </div>

      <div id="content-container">

	<div id="content">


<!--
		<h1><?php echo htmlspecialchars($repo->getName()); ?></h1>
-->

		<p>
		  <a href="images/trouble-blues_buddy-guy_annotator1_cropped.png">
		    <img src="images/trouble-blues_buddy-guy_annotator1_cropped_scaled.png" />
		  </a>
		</p>

		<p>
		  Welcome to the RDF Endpoint to the 
		  <a href="http://ddmal.music.mcgill.ca/salami">SALAMI</a>
		  (Structural Analysis of Large Amounts of Music Information) 
		  project&mdash;the culmination of collaborative work in music content analaysis 
		  by Universities of Illinois, McGill, Oxford and Queen Mary.
		  Through this page you can access RDF data to a corpus of X million songs.
		</p>

		<p>
		  The data is available in both static form, and dynamically through
		  a SPARQL endpoint.
		</p>



		<p>Requests are of the form
		<code><?php echo htmlspecialchars($basepath); ?><em>audiofile-id</em></code>
		where <em>audiofile-id</em> is the 32-digit hexidecimal identifier of 
		the audiofile.</p>

		<p>The <code>Accept</code> header you send is taken into account. 
		Various types of RDF are available, plus an HTML representation and 
		potentially the audio data (use <code>audio/*</code> to accept any 
		format of audio).</p>
		<?php if ($repo->getSparqlEndpoint()) { ?>
			<p>A Sparql endpoint is available at
			<code><?php echo htmlspecialchars($repo->getSparqlEndpoint()); ?></code>.</p>
		<?php } ?>
	</body>
</html>
